#!/bin/sh

input=$1
number=$2
loc=intermediate/intermediate_$number
mkdir ${loc}

while read -r -a currline
do
   echo ${currline[0]} > ${loc}/transcript_curr.txt
   #extract from each reference
   seqtk subseq hormaphis_cornu_26Sep2017_PoQx8_cds_haplotype1.fasta ${loc}/transcript_curr.txt > ${loc}/Hcor_curr.fasta
   seqtk subseq 5552-DS-0013_60X_realigned_MPILEUP_final_pseudoref_cds_haplotype1.fasta ${loc}/transcript_curr.txt > ${loc}/Hham_curr.fasta
   #include the individual name in the fasta header
   awk '{if (FNR==1) print ">"FILENAME; else print}' ${loc}/Hcor_curr.fasta > transcript_alignment/${currline[0]}.cds.fasta
   awk '{if (FNR==1) print ">"FILENAME; else print}' ${loc}/Hham_curr.fasta >> transcript_alignment/${currline[0]}.cds.fasta
   
done < $input
